--Entry 4. Gameplay rooms: 5

entry4 = diary {
   nam          = "September 11th, 1846"--"11 сентября 1846 года"
  ,enter        = music_("reachingout", 0)
  ,dsc          = [[I have not left the ship for days. It rains and I do not feel well as of late, thinking many times of Lisa although I am no longer haunted by the idea she is in turmoil, but remains ignorant of my situation and waits in peace for my return. She imagines perhaps that I rest with my wide-brimmed hat on a sunny shore recording father's legacy.
  ^^This never-ending rain...
  ^^I harbor the fear that I have become the man who does not know her. I have changed so much, no longer the one she admires, if in fact I am not deceiving myself to imagine I once was...
  Sometimes I think I may have already died -- with the captain and the crew. Perhaps simply I have not realized I am wandering the land of the dead.
  ^^My body shudders. A sudden attack of fever I hope, and not the chill of the ethereal plane where no one stands to confirm my existence.
  ^^Lisa... no matter what happens here I know you count the days until my return. This is I believe.]]
  --[[Я несколько дней не выбирался с корабля. Шли дожди, да и чувствую я себя последнее время как-то неважно. Я много думал о Лизе. Почему-то мне не дает покоя мысль, что она до сих пор ничего не знает о произошедшем, что она просто ждет, когда я вернусь, представляя, наверное, как я сижу где-нибудь на солнечном берегу в широкополой шляпе и неторопливо делаю записи в свой блокнот. А за окном тем временем идет нескончаемый дождь...^^ У меня возникает такое чувство, что того человека, о котором сейчас думает Лиза, уже не существует, как если бы события всех этих дней изменили меня настолько сильно, что я стал совсем другим, совсем не тем, кого она полюбила. Если, конечно, она любила меня когда-нибудь. ^^Иногда мне и правда кажется, что я уже давно умер -- вместе с капитаном, которого я провожал в последний путь, -- но просто до сих пор не могу осознать это и скитаюсь по мертвому острову как призрак.^^ Я чувствую, как все тело мое содрогается точно от приступа озноба, хотя от этой клятой островной простуды меня мучит сильный жар. Быть может, я и правда призрак? Ведь это одиночество на необитаемом острове действительно подобно смерти, когда нет никого вокруг, кто мог бы подвердить твое существование.^^ Я много думаю о Лизе. Ведь что бы ни произошло со мной, она все так же ждет меня, считает дни, оставшиеся до моего возвращения -- по крайней мере мне очень бы хотелось в это верить. ]]
  ,next         = walk_("entry4b")
}

entry4b = diary {
   nam          = "September 12th, 1846"--"12 сентября 1846 года"
  ,dsc          = [[The day I met Lisa we supped with Cardivale, father spending the evening discussing research. His return from the islands marked the beginning of his obsession, a hold more powerful than anything I could have predicted. Stories led into theories. Between the inhabitants of his own England and those of Micronesia there were certainly anatomical distinctions, the structure of muscle, skeleton, hair, but their behavior was much like our own, what with wars and rumors of wars.
  ^^He would never affirm his deepest convictions, but he made lively discussion of them at every chance. I can hear his enthusiasm even now, his impassioned explanations of the knees and ankles, dragging our dinner guests through the minutia, his observations of the specimen of man.
  ^^That evening Cardivale fought valiantly against many yawns, amidst the clinking of silverware on china.
  ^^How I miss home...
  ^^I spoke to her after dinner. We escaped father's lecture and in celebration I noticed a frown flash across her lips. She really did admire his passion, however dry it seemed to me at times. She said it is thanks to men like him we move forward and are not held prisoner to the primitive superstitions of the past and the smug ignorance of modernity.
  ^^I stood before her small and undeserving. How must I have appeared in her eyes? Here and now indeed I am still trying to supplant that image...]]--[[Я пытался вспомнить тот день, когда я познакомился с Лизой. Это было на обеде у Кардиваля, отец тогда весь вечер рассказывал о своих исследованиях -- он как раз недавно вернулся с островов, весь одержимый идеей провести свое уникальное исследование. Почему-то практически все, что я помню о том вечере -- это рассказы отца. У него тогда уже начали появляться теории о том, что между нами и обитателями какой-нибудь Микронезии нет никаких анатомических отличий -- строение икр, скелет, череп, даже то, как растут волосы -- все это абсолютно  не отличается. Подтверждений своих теорий у него не было, однако это не мешало ему рассказывать о них при каждом удобном случае. Вот и сейчас я слышу его голос, слышу, как он с азартом объясняет скучающим знакомым, что икроножные мышцы у черных развиты не меньше, чем у нас, а супротивное мнение является глубоко ошибочным и основано на наблюдениях за теми, кто много времени проводит в лодках. Я слышу его голос, вспоминаю лицо Кардиваля, который, кажется, с большим трудом пытается бороться с зевотой, но никак не могу увидеть Лизу -- как будто она утонула во всех этих разговорах, скучающих минах и звоне китайского фарфора.^^ Я помню, что сам заговорил с ней тогда, после обеда. Помню, что рассказы отца тогда вгоняли в сон и меня, и я неумело пошутил о его  этнологических проповедях, благополучное завершение которых не грех было и отпраздновать. Лиза однако нахмурилась и как-то даже обиделась на меня, если бы я невольно оскорбил ее своей шуткой. Она сказала мне, что восхищается моим отцом и его работой, что именно благодаря таким людям наука и движется вперед, а не остается в плену примитивных суеверий и самодовольного невежества.^^ Самодовольный невежда. Таким я впервые предстал перед ее глазами. Быть может, я все это время просто пытался перед ней оправдаться?]]
  ,next         = walk_("cliff3")
}

cliff3 = scene {
   _vessel      = false --Vessel is on
  ,_done        = false --Everything is done on a cliff
  ,nam          = "Looking Out from the Cliff"--"На утесе"
  ,obj          = {
                     "cliff3_itself"
                    ,"cliff3_fall"
                    ,"cliff3_birds"
                    ,"cliff3_island"
                    ,"cliff3_vessel"
                    ,"cliff3_goback"
                    ,"cliff3_rocks"
                  }
  ,Exit         = choose_ {
                     ["default"] = [[I must continue to survey while it is light out.]]--[[Мне кажется, что уходить еще рано, как если бы я забыл сделать что-то очень важное, то, ради чего и поднимался на этот утес.]]
                    ,["cliff3._done"] = walk_("rockfall", [[Suddenly rocks begin to tumble down from the wall of stone beside me. I scamper out of the way, yet more follow. In fear for my life I leap to the lower section of the path leading up to the cliff, escaping the rockslide yet a poor landing sends my frame crashing over itself.]]--[[Я побежал к песчаной косе, чувствуя, как страх захватывает меня -- точно кто-то сжимает мне пальцами горло. Забыв про осторожность, я перепрыгивал через камни, как если бы даже секунда промедления могла оказаться смертельной для меня. Уже у самого спуска с утеса я споткнулся -- ступня моя зацепилась за что-то, -- и повалился на острые камни.]])
                  }
  ,TurnAround   = choose_ {
                     ["default"] = [[No one stands behind me. As always.]]--[[Позади меня никого нет. Как и всегда.]]
                    ,["cliff3._done"] = [[For an instant I imagine the sound of feet swiftly passing by...]]--[[На секунду мне показалось, что я слышу позади себя топот ног... Но нет, они еще не на острове. Однако мне следует поторопиться.]]
                  }
  ,Wait         = choose_ {
                     ["default"] =[[Why did I come here, as though there is something to be anticipated.]]-- [[Я и сам не понимаю, зачем прихожу на этот утес. Как будто я и правда жду чего-то.]]
                    ,["cliff3._done"] =[[I should not stay long.]] -- [[Не стоит задерживаться здесь больше.]]
                  }
}

cliff3_itself = item {
   nam          = _"cliff"--_"утес"
  ,dsc          = choose_ {
                     ["default"] =
                        [[I stand on the cliff, after waiting what seems months in the cabin of the ship watching the sky fall.
                        ^The sea is calm, the surf barely audible. The rains have finally come to an end so that my health may be sustained, such as it is.]]--[[Я стою на утесе. Мне кажется, что я просидел в душной капитанской каюте несколько месяцев, дожидаясь, когда же закончится дождь. ^Океан сегодня спокоен -- я почти не слышу шум прибоя. Быть может, сезон дождей на этом Богом забытом островке суши наконец подходит к концу, и вся моя хандра пройдет вместе с ветрами и ливнями.^]]
                    ,["cliff3._done"] =
                        [[I must hurry! ^Surely they will notice me up here, and I pray they will not sail into the hazards behind this cliff where my poor Mayflower rests concealed.]]--[[Нельзя медлить! Я стою на самой высокой точке с этой стороны берега, они могу заметить меня. Нужно поскорее вернуться на корабль и молиться, что они не будут заплывать за скалы, которые пока что заботливо скрывают "Майский цветок" от их глаз.]]
                  }
  ,Exam         = [[The same as always.]]--[[Я был здесь уже десятки раз. Ничего не изменилось.]]
  ,Descend      = redirect_("Exit", "cliff3")
  ,imy          = {
                     ["default"] = "the cliff"
                    ,["Descend"] = "from the cliff"
                  }
}

cliff3_rocks = item {
   nam          = _"rocks|~stones"--_"камни"
  ,Lie          = [[It would be uncomfotable to lie down here.]]--[[Не стоит ложиться на камни.]]
  ,Sit          = [[The stones are cold and hard.]]--[[У меня сегодня нет настроения сидеть на холодных камнях.]]
  ,Move         = [[I should find something better than shifting stones in order to occupy myself.]]--[[Надеюсь, я еще могу придумать себе занятие более осмысленное, чем перетаскивать эти камни с места на место.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the rocks"
                    ,["Sit"] = "down on the rocks"
                    ,["Lie"] = "down on the rocks"
                    ,["Throw"] = "on the rocks"
                  }
}

cliff3_fall = item {
   nam          = _"drop off|~edge"--_"обрыв"
  ,dsc          = choose_ {
                    ["not cliff3._done"] = [[I stand near the edge.]]--[[Я стою чуть поодаль от обрыва,]]
                  }
  ,Exam         = choose_ {
                     ["default"] =
                        [[Cautious in my approach, knowing the madness of seagulls can manifest itself suddenly.]]--[[Мне совсем не хочется подходить к краю обрыва -- я не могу заставить себя сделать даже единый шаг, точно, стоит мне лишь приблизиться к этой каменистой пропасти, как надо мной тут же спикирует безумная чайка.]]
                    ,["cliff3._done"] = [[It is best to leave the cliff.]]--[[Сейчас не до этого, лучше поскорее убраться отсюда.]]
                  }
  ,Walk         = redirect_("Exam", "cliff3_fall")
  ,JumpFrom     = [[Suicide would be a dishonor to my entire purpose.]]--[[Я не собираюсь кончать с жизнью -- особенно, бросаясь на камни.]]
  ,Descend      = [[It is too treacherous to climb down the face of the cliff.]]--[[Вряд ли я смогу здесь спуститься.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the edge"
                    ,["Walk"] = "to the edge"
                    ,["Throw"] = "over the edge"
				,["Descend"] = "over the edge"
                  }
}

cliff3_birds = item {
   nam          = _"~gulls|~seagulls"--_"~чайки"
  ,live         = true
  ,dsc          = choose_ {
                    ["not cliff3._done"] = 
                      [[There are no gulls today, but the memory of my last encounter makes me reconsider the need to come back here each time.]]--[[хотя чаек сегодня не видно, но все равно этот утес как-то необъяснимо пугает меня с тех пор, как я потерял здесь отцовскую подзорную трубу.  И в то же время какая-то неодолимая сила постоянно влечет меня сюда.]]
                  }
  ,Exam         = choose_ {
                     ["default"] = [[The gulls are away and I do not miss them now.]]--[[Чаек сегодня не видно. Впрочем, не могу сказать, что я скучаю по ним.]]
                    ,["cliff3._done"] = [[The hysteria of those birds fills my head as a nightmare.]]--[[Чайки, точно обезумев, проносятся у меня на головой, оглашая весь остров истерическими криками.]]
                  }
  ,Swing        = choose_ {
                     ["default"] = [[There are no birds on which to use these fists.]]--[[Я не вижу здесь чаек.]]
                    ,["cliff3._done"] = [[I wave my hands wildly at the horizon.]]--[[Я помахал чайкам рукой, точно здороваясь с ними.]]
                  }
  ,imy          = {
                     ["default"] = "the seagulls"
                  }
}

cliff3_island = item {
   nam          = _"island"--_"остров"
  ,Exam         = choose_ {
                     ["default"] =  [[I should use the telescope.]]--[[Лучше воспользоваться подзорной трубой, так я почти ничего не вижу.]]
                    ,["cliff3._done"] = [[This is no time for discovery. I must hurry down from the cliff.]]--[[Сейчас не время заниматься этим, лучше поскорее спуститься с утеса.]]
                  }
  ,ExamWith     = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("cliff3._vessel"),
                          [[That island is without a doubt the largest in the archipelago. Certainly there are settlements, perhaps a plantation. I must reach it. 
                            ^I cannot help but think if the storm had broken us on that far shore how many lives would be saved, the men still standing despite all our wretched hardships.
                            ^However my searching eye produces no proof. What I would give to see the blaze of a bonfire and dark silhouettes against the white sand. 
                            ^...or by God's grace the sails of ship rounding the cape.
                            ^Alas, a shock to my weary mind. There is a boat!]]--[[Я рассматриваю далекий остров через подзорную трубу. Без сомнения -- это самый большой остров во всем архипелаге, и там наверняка есть поселения, плантации -- есть люди! Мне нужно просто как-то добраться туда, и я буду спасен. Вот если бы шторм в тот злополучный день отнес нас к другим берегам -- возможно, тогда даже капитана и двух матросов удалось бы спасти.^ Я долго рассматриваю береговую линию острова через подзорную трубу в надежде увидеть хоть какое-нибудь подтверждение тому, что остров этот обитаем -- костры, людей на песчаной косе, возможно, даже корабль. Однако ничего нет.^ Вдруг, уже собираясь уходить, я замечаю, что от острова начинает отдаляться какой-то темный объект. Это лодка!]]
                        }
                    ,["cliff3._done"] = [[I must hurry down the cliff.]]--[[Сейчас не время заниматься этим, лучше поскорее спуститься с утеса.]]
                  }
  ,imy          = {
                     ["default"] = "the island"
                  }
}

cliff3_vessel = item {
   nam          = name_ {
                      ["default"] = _"boat"
                     ,["Flail"] = "gulls"
                  }
  ,Exam         = choose_ {
                     ["default"] = [[I must use a telescope.]]--[[Так я ничего не вижу, лодка слишком далеко. Лучше воспользоваться подзорной трубой.]]
                    ,["cliff3._done"] = [[I should get to the shore quickly.]]--[[Не время сейчас разглядывать эту лодку, лучше поскорее убраться отсюда, пока меня не заметили.]]
                  }
  ,ExamWith     = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("cliff3._done"),
                          music_("wounded", 0),
                           [[The craft is long and strange, unlike any I have ever seen. Naked men sit hunched at the oars. 
                              ^The fear of making contact with natives grips at my chest. What if they are a savage race, hunters seeking human prey? The prevalence of cannibalism among islanders is too much for me to consider now. I resolve that I must remain out of sight until I can discern their motives. Remaining atop the cliff visible to all will be to my disadvantage. 
                              ^Gulls suddenly appear, squawking overhead.]]--[[Лодка имеет странную вытянутую форму. Я замечаю нескольких темнокожих людей, которые активно гребут веслами. Кажется, белых людей на лодке нет совсем. Меня внезапно сковывает страх. Неужели это те самые дикие племена, о которых я слышал? Они направляются прямиком к моему острову. Говорили, что среди туземцев здесь процветает  каннибализм. Лучше мне не попадаться им на глаза. Лучше поскорее убраться отсюда.^ Словно в подтверждение моих слов над головой моей раздался надрывный крик чайки.]]
                        }
                    ,["cliff3._done"] = redirect_("Exam", "cliff3_vessel")
                  }
  ,Flail        = [[Waving my arms is a sure way to give up my location.]]--[[Нет! Лучше не привлекать к себе внимания!]]
  ,cnd          = if_("cliff3._vessel")
  ,imy          = {
                     ["default"] = "the boat"
                    ,["Flail"] = "the gulls... and the natives"
				
                  }
}

cliff3_goback = item {
   nam          = _"shore"--_"берег"
  ,Walk         = redirect_("Exit", "cliff3")
  ,Descend      = redirect_("Exit", "cliff3")
  ,imy          = {
                     ["default"] = "the shore"
                    ,["Walk"] = "down to the shore"
                    ,["Descend"] = "from the cliff"
                  }
}

rockfall = scene {
   _bandage        = false --Wound is taken care of
  ,_done        = false --Everything is done here
  ,nam          = "Fallen"--"На утесе"
  ,obj          = { 
                     "rockfall_rocks"
                    ,"rockfall_me"
                    ,"rockfall_wound"
                    ,"rockfall_legs"
                    ,"rockfall_goback"
                    ,"rockfall_vessel"
                    ,"rockfall_cliff"
                  }
  ,Wait         = [[I need to get to the ship.]]--[[Нет! Мне нужно поскорее возвращаться на корабль.]]
  ,TurnAround   = choose_ {
                     ["default"] = [[Lying in shock, I cannot look.]]--[[Я не могу оглянуться, лежа на камнях.]]
                    ,["rockfall._done"] = [[They were far enough from shore I do not think they will have made landfall. ^I must get to the ship.]]--[[Пока их еще нет на острове, лодка была довольно далеко от берега, однако мне все равно следует поторопиться.]]
                  }
  ,Stand        = choose_ {
                     ["default"] = [[I attempt to stand, but my leg is lame, the skin broken and flesh throbbing in pain. ^I must dress the wound.]]--[[Я пытаюсь подняться, но мне даже больно пошевелить ногой. Надо сначала осмотреть рану.]]
                    ,["rockfall._bandage and not rockfall._done"] = chain_ { set_("rockfall._done"), [[I manage to raise myself up.]]--[[Я встал на ноги.]] }
                    ,["rockfall._bandage and rockfall._done"] = [[I am on my feet.]]--[[Я уже и так стою на ногах.]]
                  }
}

rockfall_cliff = item {
   nam          = _"cliff"--_"утес"
  ,Descend      = redirect_("Walk", "rockfall_goback")
  ,imy          = {
                     ["default"] = "the cliff"
                    ,["Descend"] = "from the cliff"
                  }
}

rockfall_rocks = item {
   nam          = _"rocks"--_"камни"
  ,dsc          = choose_ {
                     ["default"] = [[My body lies sprawled across a mess of stone and dust.]]--[[Я лежу, распластавшись, на камнях.]]
                    ,["rockfall._done"] = [[The rocks are quiet now.]]--[[Я стою на камнях.]]
                  }
  ,Exam         = choose_ {
                     ["default"] = [[A jagged point digs into my back. ^If one had fallen upon my head... what a pitiful end.]]--[[Камни остро впиваются мне в спину. Я понимаю, что если бы ударился при падении головой, то уже никогда не смог бы подняться.]]
                    ,["rockfall._done"] = 
                         [[The rocks are jagged, enough so to threaten the soles of my shoes.]]--[[Камни здесь такие острые... Я даже чувствую, как они пытаются переломить подошвы моих башмаков. Я понимаю, что если бы ударился при падении  головой, то уже никогда не смог бы подняться.]]
                  }
  ,Lie          = choose_ {
                     ["default"] = [[I cannot stay here. The pain will grow stronger. I must get up.]]--[[Я и так лежу, но мне надо подниматься.]]
                    ,["rockfall._done"] = [[I will not lie down.]]--[[Какой смысл снова ложиться на эти камни?]]
                  }
  ,Sit          = choose_ {
                     ["default"] = [[I cannot stay here longer.]]--[[Не стоит задерживаться здесь. Мне надо поскорее убираться отсюда.]]
                    ,["rockfall._done"] = [[I must move my feet.]]--[[Мне нельзя здесь задерживаться!]]
                  }
  ,Walk         = choose_ {
                     ["default"] = [[Clambering across such hazardous terrain in my condition is exceedingly difficult.]]--[[Я даже не могу встать!]]
                    ,["rockfall._done"] = [[I must return to the ship.]]--[[Не стоит здесь задерживаться.]]
                  }
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the rocks"
                    ,["Lie"] = "down upon the rocks"
                    ,["Sit"] = "down upon the rocks"
                    ,["Walk"] = "across the rockslide"
                    ,["Throw"] = "amidst the rocks"
                  }
}

rockfall_me = item {
   nam          = _"knee|~leg|~right knee"--_"правая нога"
  ,dsc          = [[I run my hand down my leg still in shock. The skin is flayed just below my right knee.]]--[[Правая нога ниже колена болит так сильно, что кажется, будто с нее содрали кожу. Я касаюсь раны рукой, и ногу тут же сводит от боли.]]
  ,Exam         = choose_ {
                     ["default"] = [[My hand returns drenched in blood.]]--[[Я сильно рассадил правую ногу, вся штатина пропиталась кровью.]]
                    ,["rockfall._bandage"] = [[The bleeding has lessened, my handkerchief now a deep crimson. ^Agh! I try to move despite the suffering.]]--[[Правая нога перетянута моим носовым платком, который стал почти красным от крови. Но, кажется, я могу идти.]]
                  }
  ,imy          = {
                     ["default"] = "my leg"
                  }
}

rockfall_wound = item {
   nam          = _"wound|~gash|~injury"--_"рана"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[It seems no bones have been broken, but judging by the horrible amount of blood I must have severed an artery. ^I need to stop the bleeding immediately.]]--[[Я сильно рассадил себе ногу чуть ниже колена. Кажется, кости целы, хотя так очень сложно сказать. Рана сильно болит и кровоточит. Надо как-нибудь остановить кровотечение.]]
                    ,["rockfall._bandage"] = [[My handkerchief has slowed the bleeding.]]--[[Я сильно перетянул ногу платком. Кажется, кровотечение остановилось.]]
                  }
  ,Bandage         = use_ {
                     ["handkerchief"] = 
                        choose_ {
                           ["rockfall._bandage"] = [[I have dressed it the best I can for now.]]--[[Рана уже перевязана.]]
                          ,["default"] = 
                              chain_ {
                                set_("rockfall._bandage"),
                                drop_("handkerchief"),
                                [[I rotate my leg by sheer willpower then fashion my handkerchief into a tourniquet. It quickly shifts from the purest white linen to the deepest crimson. ^The bleeding lessens.]]--[[Я закатал правую штанину и перевязал рану своим носовым платком, сильно, как только мог, стянув ногу, чтобы остановить кровотечение. Платок быстро пропитался кровью, однако рана как будто стала меньше болеть.]]
                              }
                        }
                    ,["nil"] =
                        choose_ {
                           ["default"] = [[I must bandage the wound somehow. I am in danger of bleeding out.]]--[[Надо чем-нибудь перевязать рану, остановить кровотечение. Но чем?]]
                          ,["rockfall._bandage"] = [[It is bandaged now.]]--[[Рана уже перевязана. Кажется, я остановил кровотечение.]]
                        }
                  }
  ,imy          = {
                     ["default"] = "the wound"
                  }
}

rockfall_legs = item {
   nam          = _"legs"--_"ноги"
  ,imy          = {
                     ["default"] = "my legs"
                  }
}

rockfall_goback = item {
   nam          = _"ship|shore|~coast"--_"корабль|берег"
  ,Walk         = choose_ {
                     ["default"] = [[I have to get to my feet.]]--[[Надо сначала встать на ноги.]]
                    ,["rockfall._done"] = walk_("nearrocks2",  [[I hobble away from the cliff. Excruciatingly.]]--[[Я с большим трудом спустился с утеса. Каждое движение в правой ноге отдавалось сильной болью.]])
                  }
  ,imy          = {
                     ["default"] = "the ship"
                    ,["Walk"] = "toward the ship"
                  }
}

rockfall_vessel = item {
   nam          = _"~boat"--_"~лодка"
  ,Exam         = [[I see no sign from here. I need to hurry.]]--[[Не время сейчас разглядывать эту лодку, лучше постараться вернуться на корабль.]]
  ,imy          = {
                     ["default"] = "the boat"
                  }
}

nearrocks2 = scene {
   nam          = "Near the Rockslide"--"У скал"
  ,obj          = { 
                     "nearrocks2_itself"
                    ,"nearrocks2_shore"
                    ,"nearrocks2_goback"
                    ,"nearrocks_rocks"
                    ,"cmn_vessel"
                    ,"cmn_wound"
                  }
  ,Wait         = [[I am exhausted and suffering yet I must move.]]--[[Как бы мне ни хотелось еще немного отдохнуть, лучше все-таки здесь не задерживаться.]]
}

nearrocks2_itself = item {
   nam          = _"rocks"--_"скалы"
  ,dsc          = [[The rocks shelter me from a new wind rising off the water.]]--[[Скалы, у которых я стою, скрывают меня от внезапно поднявшегося ветра.]]
  ,Exam         = [[Surfeited with pain, I must grab hold of any spark of strength and go on.]]--[[Я стою у скал, понимая, что это лишь передышка на несколько секунд. Боль в ноге утихает. Надо идти дальше.]]
}

nearrocks2_shore = item {
   nam          = _"shore|~coast"--_"берег"
  ,dsc          = [[I hesitate at the shoreline, still unaware if the truth or some wicked self-deception is moving silently across the strait.]]--[[На секунду мне кажется, что странная вытянутая лодка мне только показалась, но я все равно боюсь подойти к берегу. Лучше все-таки  поскорее вернуться на корабль.]]
  ,Exam         = [[This stony shore will be more difficult in my condition.]]--[[Берег здесь каменистый и подойти к воде непросто, особенно с моей ногой.]]
  ,imy          = {
                     ["default"] = "the shore"
                  }
}

nearrocks_rocks = item {
   nam          = _"boulders"--_"камни"
  ,Exam         = [[I cannot be sure I will ever return with such an injury.]]--[[Я даже не уверен, что смог бы сейчас снова подняться на утес со своей больной ногой.]]
  ,Sit          = [[No, I may not be able to stand back up.]]--[[Я не собираюсь садиться здесь.]]
  ,Lie          = [[I covet the chance to lie down, but in bed after this effort is complete.]]--[[Лечь тут никак не получится.]]
  ,Ascend       = [[I am injured.]]--[[Нет! Не нужно возвращаться туда!]]
  ,Climb        = redirect_("Ascend", "nearrocks_rocks")
  ,Walk         = [[There is no reason to go there.]]--[[Лучше мне не задерживаться здесь.]]
  ,Move         = [[The boulders could not be moved were I fit.]]--[[Кажется, я сошел с ума.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the boulders"
                    ,["Lie"] = "down on the boulders"
                    ,["Sit"] = "down on the boulders"
                    ,["Walk"] = "to the boulders"
                    ,["Throw"] = "at the boulders"
                  }
}

nearrocks2_goback = item {
   nam          = _"ship|shore|~coast"--_"корабль|берег"
  ,Walk         = walk_("shore2")
  ,imy          = {
                     ["default"] = "the ship"
                    ,["Walk"] = "back to the ship"
                  }
}

cmn_vessel = item {
   nam          = _"~boat"--_"~лодка"
  ,Exam         = [[I cannot see that boat any longer.]]--[[Отсюда я уже не могу разглядеть той лодки с туземцами, которая меня так напугала.]]
  ,imy          = {
                     ["default"] = "the boat"
                  }
}

cmn_wound = item {
   nam          = _"wound|~knee|~leg|~injury"--_"рана|~правая нога|~нога"
  ,Exam         = [[The wound has created a massive bruise all around my leg and the blood is starting to harden.]]--[[Глубокая ссадина на ноге точно горит, а платок мой весь пропитался кровью. И как я мог так расшибиться? Сколько раз я пробирался через  эти камни...]]
  ,imy          = {
                     ["default"] = "my wound"
                  }
}

shore2 = scene {
   nam          = "Back to the Shoreline"-- "На берегу"
  ,obj          = { 
                     "shore2_itself"
                    ,"shore2_sand"
                    ,"shore2_leg"
                    ,"shore2_vessel"
                    ,"shore2_go"
                    ,"shore2_goback"
                    ,"shore2_water"
                  }
  ,Wait         = [[I must not loiter.]]--[[Мне нужно вернуться на корабль, не стоит здесь задерживаться.]]
  ,TurnAround   = [[I look back, feeling my weaknesses, and hounded.]]--[[Я оглядываюсь с таким чувством, словно кто-то неумолимо следует по моим пятам.]]
}

shore2_water = item {
   nam          = name_ {
                     ["default"] = _"~water|~seawater|~sea|~ocean"--_"~вода|~океан"
                    ,["Drink"] = _"~seawater|~water"
                  }
  ,Drink        = [[I cannot drink seawater.]]--[[Кажется, у меня помутился рассудок от страха. Я не собираюсь пить соленую воду.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the sea"
                    ,["Drink"] = "seawater"
                    ,["Throw"] = "into the sea"
                  }
}

shore2_itself = item {
   nam          = _"shore|~coast|~spit of sand"--_"берег|~песчаная коса"
  ,dsc          = [[I make my way out to the spit of sand.]]--[[Я иду по песчаной косе.]]
  ,Exam         = [[This injury makes the journey across more taxing than ever.]]--[[Идти по песку с разбитой ногой довольно тяжело.]]
  ,Sit          = [[I cannot sit down here in the shallows.]]--[[У меня нет времени рассиживаться здесь, на берегу.]]
  ,Lie          = [[Lie down? To die?]]--[[Я не собираюсь лежать на это песке.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the shore"
                    ,["Sit"] = "down on the sand"
                    ,["Lie"] = "down in the shallows"
                    ,["Throw"] = "into the sea"
                  }
}

shore2_sand = item {
   nam          = _"wet sand"--_"песок"
  ,dsc          = choose_ {
                     ["default"] = [[My shoes bog down.]]--[[Ботинки мои глубоко увязают во влажном песке,]]
                    ,["shoes._off"] = [[I manage better without my shoes.]]--[[Мои босые ноги глубоко увязают во влажном песке,]]
                  }
  ,Exam         = [[Such terrain is not easy for able bodied men...]]--[[Идти по этому песку совсем непросто -- даже со здоровыми ногами.]]
  ,imy          = {
                     ["default"] = "the wet sand"
                  }
}

shore2_leg = item {
   nam          = _"leg|~knee|~wound"--_"~правая нога|~нога|рана"
  ,dsc          = [[Every step sends an agonizing pulse through the whole of my body.]]--[[каждый шаг отдается болью в правой ноге.]]
  ,Exam         = [[My makeshift bandage has loosened. I stop and tighten it, wincing. ^I must purify the wound and find a suitable dressing before long, or I fear it will begin to fester.]]--[[Повязка из платка немного ослабла, и я затягиваю ее сильнее, морщась от боли. Мне нужно скорее промыть и перебинтовать рану.]]
  ,imy          = {
                     ["default"] = "the wound"
                  }
}

shore2_vessel = item {
   nam          = _"boat"--_"лодка"
  ,dsc          = [[The long boat is nowhere to be seen, yet I can feel a presence. ^Is this madness?]]--[[Здесь, с берега, странной лодки пришельцев уже не видно, но я все равно чувствую, как они неумолимо приближаются к моему острову.]]
  ,Exam         = [[I scan the length of the coastline. ^Nothing.]]--[[Лодки отсюда не видно, но я словно чувствую ее спиной.]]
  ,imy          = {
                     ["default"] = "the boat"
                  }
}

shore2_go = item {
   nam          = _"shore|~coast"--_"берег"
  ,Walk         =  [[I can go no farther. I must get back to the ship.]]--[[Я сейчас не в состоянии прогуливаться по берегу, мне следует вернуться на корабль.]]
  ,imy          = {
                     ["default"] = "the shore"
                    ,["Walk"] = "down the shore"
                  }
}

shore2_goback = item {
   nam          = _"ship"--_"корабль"
  ,Walk         = walk_("nearship2")
  ,imy          = {
                     ["default"] = "the ship"
                    ,["Walk"] = "toward the ship"
                  }
}

nearship2 = scene {
   _event       = false --Rope is broken
  ,_done        = false --All is done
  ,nam          = "The Mayflower, She Waits for Me..."--"У корабля"
  ,obj          = { 
                     "nearship2_itself"
                    ,"nearship2_rocks"
                    ,"nearship2_leg"
                    ,"nearship2_side" 
                    ,"nearship2_shore"
                    ,"nearship2_water"
                  }
  ,dsc         = [[Waist deep I wade out to the side of the ship where I must begin my ascent, the wound calling louder now.]]--[[Я боюсь долго стоять с открытой раной по пояс в воде. Мне нужно скорее выбираться отсюда.]]
  ,TurnAround   = [[I nervously spin on my good leg, my imagination ablaze with hidden dangers lurking below the surface of the water.]]--[[Позади меня только скалы.]]
}

nearship2_water = item {
   nam          = name_ {
                     ["default"] = _"~water|~seawater|~sea|~ocean"--_"~вода|~океан"
                    ,["Drink"] = "~water|~seawater"
                  }
  ,Drink        = [[I cannot drink seawater, no matter how strong my desperation.]]--[[Не стоит мне пить соленую воду.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the ocean"
                    ,["Drink"] = "seawater"
                    ,["Throw"] = "into the sea"
                  }
}

nearship2_shore = item {
   nam          = _"shore|~coast"--_"берег"
  ,Walk         = [[I should go to the ship.]]--[[Лучше мне вернуться на корабль.]]
  ,imy          = {
                     ["default"] = "the shore"
                    ,["Walk"] = "back to the shore"
                  }
}

nearship2_itself = item {
   nam          = _"ship"--_"корабль"
  ,dsc          = [[Standing at the hull...]]--[[Я стою по пояс в воде у корабля.]]
  ,Exam         = [[The Mayflower feels enormous next to my crippled frame. The wind snaps the sails, and staring up I can hear the rowdy crewmen barking in concert, the grumbling of the old captain at the bow.
  ^Alas, I face this alone...]]--[["Майский цветок" кажется огромным и величественным. Ветер раздувает парус на грот-мачте и, если поднять голову, то кажется, что корабль и правда плывет по волнам. Мне даже начинают слышаться голоса команды -- грубые крики матросов, недовольное ворчание капитана, который стоит на мостике со своей позолоченной подзорной трубой. Но никого уже нет. Это лишь мое наваждение.]]
  ,Ascend       = choose_ {
                     ["default"] = chain_ {
                          set_("nearship2._event"),
                          walk_("nearship2_fall",
                             [[I take hold of the rope and begin. My good foot slips and I wheel about smashing my shoulder into the hull. ^Somehow I hang on.
                              ^Then, a sharp crack in the air. The rope gives way and I plummet into the sea. ^The rope twists into a pile under the surface of the water, carried down by the iron hook.]]--[[Я поднимаюсь по веревке на борт, это дается мне тяжелее, чем обычно, к тому же ноги постоянно соскальзывают с обшивки корабля. Вдруг я слышу где-то высоко резкий треск. Я не успеваю поднять голову, как вдруг начинаю падать вниз, по-прежнему вцепившись в веверку.]])
                        }
                    ,["nearship2._event and not nearship2._done"] = 
                         [[The deck must be reached with a rope. I cannot board any other way.]]--[[На борт корабля я могу подняться только по веревке. Тут слишком высоко, чтобы я мог залезть сам или допрыгнуть.  К тому же, с больной ногой.]]
                    ,["nearship2._event and nearship2._done"] = chain_ { drop_("matches"), drop_("spyglass2"), wearall, walk_("entry5") } --Player loses matches and spyglass here
                  }
  ,Climb        = redirect_("Ascend", "nearship2_itself")
  ,Jump         = choose_ {
                     ["default"] = [[I cannot jump, much less up to the bulwark. I must use the rope hooked there.]]--[[Лучше подняться по веревке, которая свисает с фальшборта.]]
                    ,["nearship2._event"] = [[Jumping onto the deck is impossible.]]--[[Запрыгнуть на борт никак не получится.]]
                  }
  ,Move         = [[There is little hope of moving the ship.]]--[[Это просто не в человеческих силах.]]
  ,Fire         = [[I love the ship, despite her shortcomings. ^And her planks are wet.]]--[[У меня, должно быть, помутился рассудок.]]
  ,FireOff      = nilfn
  ,imy          = {
                     ["default"] = "the ship"
                    ,["Jump"] = "onto the ship"
                  }
}

nearship2_rocks = item {
   nam          = _"rocks"--_"скалы"
  ,dsc          = [[^The Mayflower rests hidden behind the rocks. Even if the crew of the long boat were headed here directly, there is some chance she would remain unseen.]]--[["Майский цветок" скрыт от посторонних глаз скалами, и если даже те люди на лодке действительно направляются на остров, есть  неплохой шанс, что они не заметят мой корабль.]]
  ,Exam         = [[Surrounding the rocky inlet, my derelict Mayflower lay hidden. It seems Providence planned an ideal location for a disaster. ^However, Her Majesty's fleet by some chance passing will also fail to find her.]]--[[Окружающие эту каменистую бухту скалы неплохо скрывают "Майский цветок" от посторонних глаз. Да уж, провидение выбрало для моего кораблекрушения удачное место. Правда, и корабли флота Ее Величества, если вдруг судьба занесет их к этим диким необитаемым землям, тоже могут меня не заметить.]]
  ,imy          = {
                     ["default"] = "the rocks"
                  }
}

nearship2_leg = item {
   nam          = _"leg|~wound|~knee"--_"~нога|рана|~правая нога"
  ,dsc          = [[^This leg... I must climb aboard then rest awhile.]]--[[Однако мне все равно неспокойно, и нога моя продолжает болеть. Мне хочется только одного -- подняться на корабль и забыться сном в  бывшей каюте капитана.]]
  ,Exam         = [[The bandage has loosened. I pull but the cloth is failing and blood has resumed a serpentine course down my calf.]]--[[Повязка на ноге вновь ослабла, и я затянул ее посильнее. Но этого явно недостаточно. Кровотечение снова возобновилось. Видимо, я  повредил какую-то артерию. Мне нужно поскорее выбираться из воды.]]
  ,Clean        = choose_ {
                     ["handkerchief"] = [[I sit in the water and untie it, wiping at the coagulation of blood and debris before tying it back more securely.]]--[[Я несколько раз коснулся раны чистым краем платка, и на платке остались темные следы крови.]]
                    ,["jacket"] =  [[It would be unwise to use this soiled jacket on the wound for fear of an even worse outcome.]]--[[Не стоит касаться раны грязным засаленным камзолом -- как бы не занести заражение.]]
                  }
  ,imy          = {
                     ["default"] = "the wound"
                  }
}

rope2 = item {
   nam          = _"rope with a hook"--_"веревка с крюком"
  ,Exam         =  [[A considerable length of rope with an iron hook attached to the end. I can try again to climb onto the deck.]]--[[Длинная веревка с железным крюком на конце. По этой веревке я поднимаюсь на корабль.]]
  ,Throw        = use_ {
                    ["nearship2_side"] = 
                      chain_ {
                        set_("nearship2._done"),
                        drop_("rope2"),
                         [[I try to set the hook behind the gunwale but several attempts yield only a clang, followed by its frightening descent in my direction. 
                          ^Finally I manage to secure it.]]--[[Я попробовал закинуть веревку на фальшборт, но получилось у меня далеко не с первого раза. Несколько раз крюк просто бился об обшивку корабля, не долетая до фальшборта. Наконец, мне удалось зацепить крюк за какую-то перекладину.]]
                      }
                  }
  ,imy          = {
                     ["default"] = "the rope with a hook"
                  }
}

nearship2_side = item {
   nam          = _"bulwark"--_"фальшборт"
  ,withThrow    = true
  ,Ascend       = redirect_("Ascend", "nearship2_itself")
  ,Climb        = redirect_("Ascend", "nearship2_itself")
  ,Jump         = redirect_("Jump", "nearship2_itself")
  ,Exam         = choose_ {
                     ["default"] = [[From the bulwark hangs the rope on which I have climbed before.]]--[[С фальшборта свисает длинная веревка, по которой я обычно поднимаюсь наверх.]]
                    ,["nearship2._event and not nearship2._done"] = 
                        [[The crossbar to which I fastened the hook must have given way after my fit of flailing upon the rope. 
                      ^How many times have I ascended and yet in my moment of greatest need it fails me...]]--[[Судя по всему, перекладина к которой я прицепил крюк, сломалась под моим весом. Удивительно -- сколько раз я поднимался по этой веревке, и ничего не происходило! Почему именно сейчас!]]
                    ,["nearship2._event and nearship2._done"] =
                        [[I pull hard several times to be reassured it will hold.]]--[[Я несколько раз с силой дернул веревку -- вроде держиться крепко. Надо попробовать подняться.]]
                  }
  ,imy          = {
                     ["default"] = "the bulwark"
                    ,["Throw"] = "toward the bulwark"
                    ,["Jump"] = "onto the bulwark"
                  }
}

nearship2_fall = scene {
   nam          = nilfun
  ,dsc          = [[A horrid image appears behind my eyes, of my helpless body drowning in the shallows surrounded by a cloud of red. 
                    ^I right myself in a panic, splashing and forcing my hand to search for the rope, heavy and coiled nearby.
                    ^I can see nothing and must follow the strand in search of the hook, until suddenly my foot registers its heft embedded in the seafloor.]]--[[Несколько секунд я барахтаюсь в воде в приступе безумной паники, точно и правда боюсь утонуть на мели. Потом я прихожу в себя. Веревка! Тяжелая и промасленная, она камнем пошла ко дну, но без нее я не смогу подняться наверх. Я начинаю осматриваться вокруг, невольно разгребая руками воду, как если бы это действительно помогало мне в поисках. Я помню, что железный крюк упал где-то совсем не далеко от меня, но я  ничего не вижу. Я в отчаянии. ^Вдруг нога моя задевает за что-то. Это крюк! Я наклоняюсь, чтобы <i>поднять его</i>.]]
  ,verbs        = { 
                    { "Take", "grab"--[[~поднять|~взять|~подобрать]], "rope with a hook"--[[веревку с крюком]] } 
                  }
  ,Take         = chain_ { take_("rope2"), walk_("nearship2") }
}
