--Entry 1. Gameplay rooms: 1

entry1 = diary {
   nam          = "4 сентября 1846 года"
  ,enter        = music_("paper")
  ,dsc          = [[Океан не успокаивается уже несколько дней кряду. Кажется, что его возмущает самый факт моего существования -- он
                    в ярости от того, что я остался жив.^^
                    Но как же он красив перед началом шторма!^^
                    Вчера я несколько часов провел на палубе -- я просто стоял и смотрел вдаль. Ветер обдавал меня солеными брызгами, волны 
                    с грохотом разбивались о борт корабля. Но я упорно продолжал стоять, пока ноги мои не начали подкашиваться 
                    от усталости.^^                    
                    Мне нездоровится последние дни, и я очень быстро устаю -- чем бы я ни занимался. Даже просто делать записи в журнале 
                    представляется мне занятием тяжелым и изнурительным. К тому же я совсем не уверен, что кто-нибудь когда-то прочтет все эти 
                    записи -- что я сам хочу, чтобы кто-то их прочитал. Однако в иные дни я представляю, что этот бортовой журнал найдет 
                    когда-нибудь Лиза, или что я сам покажу ей его, рассказывая о своем невероятном путешествии на край земли. Да и по правде 
                    сказать, если я ничего не пишу, то чувство какого-то глубокого пронзительного одиночества начинает сводить меня с ума.^^
                    Но, быть может, со мной нет ничего серьезного, и я просто заболел морской болезнью? Если, конечно, можно заболеть морской 
                    болезнью на острове.
                  ]]
  ,next         = walk_("gametitle")
}

gametitle = pause {
   dsc          = "^^^^^^^^^^^^^^"..txtc(bigheader:txt("Материк"))
                  --"^^^^^^^^^^^^"..img("gfx/island.png").."^"..txtc(gametitle:txt("Материк"))
  ,time         = 5500
  ,enter        = chain_ {
                    music_("clearwaters"),
                    function(s)
                      theme.set("scr.gfx.bg", "gfx/texture_ink.jpg");
                    end
                  }
  ,next         = "cliff"
}

cliff = scene {
   _clean       = false --Spyglass is clean
  ,_birds       = false --Birds are flying
  ,_lost        = false --Spyglass is lost
  ,_turn        = false --I turned around
  ,_wait        = false --I waited
  ,nam          = "На утесе"
  ,enter        = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture.jpg");
                  end
  ,obj          = {
                     "cliff_rocks"
                    ,"cliff_ocean"
                    ,"cliff_fall"
                    ,"cliff_island"
                    ,"cliff_me"
                    ,"cliff_jacket"
                    ,"cliff_blacks"
                    ,"cliff_birds"
                    ,"cliff_shore"
                    ,"cliff_ship"
                    ,"saltwater"
                  }
  ,Exit         = choose_ {
                     ["default"] = "Я пока не хочу уходить."
                    ,["cliff._lost"] = chain_ { wearall, walk_("entry2") }
                  }
  ,TurnAround   = choose_ {
                    ["not cliff._turn"] =
                      chain_ {
                        set_("cliff._turn"),
                        [[Я заметил бледную, пугливо встрепенувшуюся под моим взором тень на камнях и обернулся. Но позади меня никого не было. Резкие порывы
                          ветра стали подталкивать меня в спину, точно прогоняя с утеса. Однако я пока не хочу уходить.]]
                      }
                  }
  ,Wait         = choose_ {
                     ["default"] = 
                      chain_ {
                        set_("cliff._wait"),
                        [[Некоторое время я просто стою у обрыва, глядя на пасмурное небо.^Совсем скоро снова пойдет дождь. Низкие грозовые облака уже почти 
                          затянули все небо, и я даже чувствую первые капли дождя на своем лице -- или же это ветер доносит водяные брызги?]]
                      }
                    ,["cliff._wait"] = [[Просто стоять здесь и ждать начала дождя? Но нет, не для этого я пришел сюда... А для чего я пришел?]]
                  }
}

spyglass = item {
   nam          = _"подзорная труба"
  ,Exam         = [[Эта подзорная труба досталась мне от отца. Отец купил ее как раз перед своим первым путешествием на острова, 
                    и вот теперь она снова сюда вернулась.]]
  ,Clean        = use_ {
                     ["default"] = "Вряд ли это поможет."
                    ,["kerchief"] = 
                        choose_ {
                           ["default"] = 
                              chain_ {
                                set_("cliff._clean"),
                                "Я протер чистым краем платка линзу подзорной трубы -- теперь все должно быть хорошо видно."
                              }
                          ,["cliff._clean"] = "Я уже протер окуляры подзорной трубы."
                        }
                    ,["jacket"] = 
                        choose_ {
                           ["default"] = "Я уже было задрал полу своего камзола, но вовремя опомнился. Где-то у меня должен быть платок..."
                          ,["cliff._clean"] = "Не стоит тереть грязной полой камзола чистую линзу подзорной трубы."
                        }
                  }
  ,Wash         = [[Вряд ли я смогу промыть подзорную трубу морской водой -- здесь к воде не подступиться. Да и не очень-то это хорошая идея,
                    заливать окуляры соленой водой. Должен быть способ проще.]]
  ,Throw        = [[Я не собираюсь выбрасывать свою подзорную трубу.]]
  ,ThrowIn      = redirect_("Throw", "spyglass")
  ,withExamWith = true
}

saltwater = item {
   nam          = _"морская вода|~вода"
  ,withWash     = true
}

cliff_rocks = item {
   nam          = _"утес|камни"
  ,dsc          = "Я стою на утесе."
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Это самое высокое место с восточной стороны берега. В погожий день отсюда хорошо видны соседние острова, однако погожие
                          дни выпадают здесь очень редко.]]
                    ,["cliff._lost"] = walk_("cliffback")
                  }
  ,Lie          = [[Лежать на этих камнях мне совсем не хочется.]]
  ,Sit          = choose_ {
                     ["default"] = 
                      [[Я сажусь у самого обрыва, обхватывая руками колени. Ветер треплет мои волосы. Откуда-то издалека доносится взволнованный шелест 
                        листвы на деревьях, напоминающий шум еще не начавшегося дождя. Кажется, я могу провести так весь день -- просто
                        сидеть здесь, любуясь океаном, как будто шторм в действительности никогда не начнется, и само время необъяснимо застыло 
                        на этом мгновении, в преддверии проливного дождя. ^Однако вскоре я чувствую, как на мое лицо и руки падают первые капли. Я
                        вздыхаю и поднимаюсь на ноги. Время вовсе не остановилось, и вскоре солнце совсем скроется за черными и низкими облаками. Мне
                        стоит поторопиться.]]
                    ,["cliff._lost"] = [[Мне сейчас совсем не до этого.]]
                  }
  ,Descend      = redirect_("Exit", "cliff")
  ,Move         = "Вряд ли у меня получится это передвинуть."
  ,withThrow    = true
}

cliff_ocean = item {
   nam          = _"океан|~волны"
  ,dsc          = [[Океан сегодня неспокоен, как будто, по какой-то невозможной причине, ему передаются мои собственные мысли и 
                    чувства, даже мой страх. Волны внизу с грохотом разбиваются о камни.]]
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Если долго смотреть на океан перед началом шторма, то кажется, что весь остров медленно идет ко дну,
                          тонет в этой беспредельной пучине. Шум разгневанного прибоя одновременно успокаивает и пугает. 
                          Я даже не могу это объяснить. Как будто мысли мои и чувства начинают путаться, сбиваются с толка, если просто долго стоять 
                          здесь и смотреть вдаль через подзорную трубу. Неудивительно, что у меня начинается морская болезнь.]]
                    ,["cliff._lost"] = [[Скоро, наверное, и правда начнется шторм... Нет, как я мог выронить ее? Как я мог?]]
                  }
  ,ExamWith     = redirect_("Exam", "cliff_ocean")
  ,withThrowIn = true
}

cliff_fall = item {
   nam          = _"обрыв"
  ,dsc          = choose_ {
                     ["default"] = [[Ветер отталкивает меня от обрыва.]]
                    ,["cliff._lost"] = [[Я стою у самого края обрыва, точно и сам готов броситься вниз, вслед за подзорной трубой.]]
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Здесь, наверное, футов сорок -- не меньше. И если сорваться, то наверняка упадешь прямо на острые камни. Я невольно
                          делаю шаг назад.]]
                    ,["cliff._lost"] = walk_("cliffback")
                  }
  ,JumpFrom     = [[У меня совсем нет желания кончать с жизнью.]]
  ,Descend      = [[Не думаю, что у меня получится спуститься с этого обрыва.]]
  ,WalkTo       = [[Я подошел к краю обрыва, и у меня закружилась голова. Нет, лучше не искушать судьбу.]]
  ,withThrowIn = true
}

cliff_island = item {
   nam          = _"остров"
  ,dsc          = [[Но мне пока рано уходить -- я еще могу попробовать рассмотреть тот далекий остров, пока все вокруг не затянуло пеленой дождя.]]
  ,Exam         = [[Разглядеть так что-то довольно сложно, лучше воспользоваться подзорной трубой.]]
  ,ExamWith     = choose_ {
                     ["default"] = [[Окуляры у подзорной трубы запотели, и мне почти ничего не видно.]]
                    ,["cliff._clean"] = 
                        chain_ {
                          set_("cliff._birds"),
                          mute_(3000, 3000),
                          [[Я разглядываю через подзорную трубу остров на востоке. Остров объят туманом и кажется каким-то
                            ненастоящим, точно коварный океан обманывает меня, создавая это странное зыбкое видение -- как мираж в пустыне.
                            Сейчас, впрочем, я могу хорошо разглядеть береговую линию, скалы, густые заросли пальм. До этого острова, должно
                            быть, лишь несколько тысяч ярдов. Интересно, я смогу добраться туда на лодке? Это должно быть совсем не сложно,
                            по крайней мере в ясный день, когда океан спокоен.^
                            Я невольно поднимаю подзорную трубу чуть выше, в небо, и замечаю какие-то светлые пятна, которые быстро отдаляются
                            от окутанного туманной дымкой острова.]]
                        }
                  }
  ,cnd          = not_("cliff._lost")
}

cliff_shore = item {
   nam          = _"берег"
  ,DescendOn    = redirect_("Exit", "cliff")
}

cliff_ship = item {
   nam          = _"корабль"
  ,WalkTo       = redirect_("Exit", "cliff")
  ,Walk         = redirect_("Exit", "cliff")
}

cliff_me = item {
   nam          = ""
  ,dsc          = [[^Я пытаюсь настроить старую отцовскую подзорную трубу.]]
  ,cnd          = not_("cliff._birds")
}

cliff_jacket = item {
   nam          = ""
  ,dsc          = [[Ветер развевает полы моего потрепанного камзола.]]
  ,cnd          = not_("jacket._off")
}

cliff_blacks = item {
   nam          = _"пятна в небе|~пятна"
  ,Exam         = chain_ {
                    music_("wounded", 0),
                    drop_("spyglass"),
                    set_("cliff._lost"),
                    [[Я оглядываюсь вокруг. Это всего лишь чайки, они кружат и над моим островом, беспокойно и хаотично, точно почуяв 
                      приближающийся шторм.^И тут над головой у меня раздается крик -- громкий, надрывный и точно исполненный ужаса -- так
                      кричат люди, оказавшись пред ликом смерти и осознав с ужасающей ясностью, что у них нет ни малейшей возможности
                      спастись.^От неожиданности я роняю подзорную трубу, та падает на камни, скатывается к обрыву. Я бросаюсь за ней, но
                      не успеваю -- подзорная труба срывается вниз.^Надо мной пролетает в бреющем полете безумная чайка.]]
                   }
  ,ExamWith     = redirect_("Exam", "cliff_blacks")
  ,cnd          = if_("cliff._birds and not cliff._lost")
  ,Swing        = [[Я уже поднимаю руку, но вдруг чувствую себя как-то неуверенно и глупо.]]
}

cliff_birds = item {
   nam          = _"чайки"
  ,live         = true
  ,Exam         = [[Эти птицы словно обезумели.]]
  ,Swing        = [[У меня нет никакого желания приветственно махать им рукой.]]
  ,cnd          = if_("cliff._lost")
}

cliffback = scene {
   dsc          = [[Я подхожу к краю обрыва и смотрю вниз. Смутная надежда моя, что подзорная труба могла упасть на какой-нибудь уступ, что я чудом
                    смогу дотянуться до нее, исчезает. Я вижу лишь ревущие волны, которые окатывают пеной прибрежные скалы.^
                    Скоро начнется шторм. Мне не остается ничего, кроме как <i>вернуться на корабль</i>.]]
  ,verbs        = { 
                     { "Next", "~уйти|~выйти", "{}" }
                    ,{ "Next", "~вернуться|~идти", "на", "корабль" }
                    ,{ "Next", "~отойти", "от", "утеса" }
                  }
  ,Next         = redirect_("Exit", "cliff")
}
