--Entry 6. Gameplay rooms: 4

entry6 = diary {
   nam          = "15 сентября 1846 года"
  ,enter        = music_("paper")
  ,dsc          = [[Состояние мое ухудшается с каждым днем, и надежды на то, что эта островная лихорадка пройдет сама собой,
                    остается все меньше. Да и нога продолжает болеть, рана никак не затягивается, а все, что я могу делать -- это
                    менять повязки.^^ 
                    Наверное, не стоило мне спускаться с корабля во время ливня -- но тогда я большую часть
                    времени проводил бы здесь, в духоте, точно наказывая себя за какие-то грехи добровольным заключением в чужой каюте.^^
                    Однако плохое самочувствие лишь сильнее подталкивает меня к мысли, что надо как-нибудь убираться с этого острова. Я уверен --
                    поблизости должны быть другие острова, с колониями и плантациями, с моими соотечественниками, и, быть может, если я смогу
                    туда добраться, то уже через несколько дней отправлюсь домой, в Лондон. Тот остров, который я десятки раз разглядывал
                    через подзорную трубу... Ведь до него всего лишь несколько тысяч ярдов! Даже я смог бы доплыть туда на лодке и, возможно,
                    именно это ничтожное расстояние и отделяет меня от спасения.^^
                    Я долго думал о том, как спустить на воду шлюпку. Шлюпка у бизань-мачты достаточно мала для того, чтобы я
                    справился с ней в одиночку. Правда, мне придется просто столкнуть ее в воду, а здесь совсем мелко. Да и шлюпка может
                    попросту перевернуться. Однако у меня нет другого шанса.]]
  ,next         = walk_("maindeck2")
}

captaincabin = scene {
   nam          = _"В каюте капитана"
  ,obj          = { 
                     "captaincabin_itself"
                    ,"captaincabin_painting"
                    ,"captaincabin_desk"
                    ,"knife2"
                    ,"captaincabin_journal"
                    ,"captaincabin_bed"
                    ,"captaincabin_goout"
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("maindeck2")
  ,TurnAround   = [[В каюте нет никого, кроме меня.]]
  ,Wait         = [[Дождь может скоро начаться. Лучше не терять времени.]]
}

captaincabin_itself = item {
   nam          = _"каюта"
  ,dsc          = [[Обстановка в этой каюте мне знакома уже до самых мелочей. Я запомнил даже грубоватые мазки на картине с парусником, хотя 
                    никогда не любил ее разглядывать. Сегодня в капитанской каюте довольно душно, и мне не слишком хочется здесь задерживаться.
                    Хотя если пойдет дождь, мне все равно придется сюда вернуться.]]
  ,Exam         = [[Не стоит мне терять время.]]
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

captaincabin_painting = item {
   nam          = _"картина"
  ,Exam         = [[У меня нет времени любоваться этой картиной. Да и смотреть-то особенно не на что.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = redirect_("Move", "captaincabin_desk")
  ,Cut          = [[Да уж, эта картина и правда начинает сильно раздражать меня, раз такие мысли приходят мне в голову.]]
  ,KnifeCut     = redirect_("Cut", "captaincabin_painting")
}

captaincabin_desk = item {
   nam          = _"стол"
  ,Exam         = [[За этим столом я веду бортовой журнал "Майского цветка", точно и правду став капитаном разбившегося корабля.]]
  ,SitAt        = [[Сейчас не время делать записи в журнале.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = [[Сейчас не время заниматься этим.]]
  ,Ascend       = redirect_("Move", "captaincabin_desk")
  ,Climb        = redirect_("Move", "captaincabin_desk")
  ,ClimbIn      = redirect_("Move", "captaincabin_desk")
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

knife2 = item {
   nam          = _"нож для бумаг"
  ,dsc          = [[^На письменном столе лежит нож для бумаг.]]
  ,Exam         = [[Нож для бумаг с красивой рукояткой и тонким лезвием.]]
  ,Take         = chain_ { take_("knife2"), "Я взял со стола нож для бумаг." }
  ,Throw        = [[Зачем мне выбрасывать нож для бумаг?]]
  ,withKnifeCut = true
}

captaincabin_journal = item {
   nam          = _"бортовой журнал|~журнал|~дневник"
  ,dsc          = [[Мой бортовой журнал открыт -- так, словно я отошел лишь на пару минут и собираюсь вскоре вновь продолжить свои записи.]]
  ,Exam         = [[Я невольно читаю первую попавшуюся на глаза строчку: <i>...наказывая себя за какие-то грехи добровольным заключением в чужой каюте</i>.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,KnifeCut     = [[Я уже разрезал все страницы в журнале.]]
  ,Take         = [[Нет нужды носить с собой бортовой журнал.]]
}

captaincabin_goout = item {
   nam          = _"палуба"
  ,Walk         = redirect_("Exit", "captaincabin")
  ,DescendOn    = redirect_("Exit", "captaincabin")
  ,Climb        = redirect_("Exit", "captaincabin")
}

captaincabin_bed = item {
   nam          = _"постель|~кровать"
  ,Lie          = [[Лучше попробовать спустить лодку, пока не пошел дождь.]]
  ,Sit          = redirect_("Lie", "captaincabin_bed")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = [[Постель слишком тяжелая, к тому же у меня нет времени этим заниматься.]]
  ,Ascend       = redirect_("Lie", "captaincabin_bed")
  ,Climb        = redirect_("Lie", "captaincabin_bed")
  ,ClimbIn      = redirect_("Lie", "captaincabin_bed")
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

maindeck2 = scene {
   nam          = _"На палубе"
  ,enter        = music_("reachingout", 0)
  ,obj          = { 
                     "maindeck2_itself"
                    ,"maindeck2_parus"
                    ,"maindeck2_mast"
                    ,"maindeck2_mast2"
                    ,"maindeck2_boat"
                    ,"maindeck2_cover"
                    ,"maindeck2_hold"
                    ,"maindeck2_cabin"
                    ,"maindeck2_boxes"
                    ,"maindeck2_ship"
                    ,"maindeck2_shore"
                  }
  ,Wait         = [[Дождь может скоро начаться. Лучше не терять времени и попробовать спустить лодку.
                    У меня почему-то возникает такое чувство, что если я не попытаюсь сделать это сейчас, то уже никогда не смогу
                    покинуть этот остров. Как если бы у меня остался последний шанс, последняя возможность.]]
  ,TurnAround   = [[Я на палубе один.]]
}

maindeck2_itself = item {
   nam          = _"палуба"
  ,dsc          = [[Я стою на палубе. Небо сегодня снова пасмурное, однако дождя пока еще нет. Возможно, у меня есть всего лишь
                    час или два до тех пор, пока вновь не начнется ливень на несколько дней -- такой, что не отличишь даже полдень от
                    сумерек.^]]
  ,Sit          = [[У меня нет времени этим заниматься, скоро может пойти дождь. Лучше попробовать передвинуть лодку, а не рассиживаться на палубе.]]
  ,Lie          = [[Я еще не окончально выжил из ума, чтобы лежать на палубе.]]
  ,Exam         = [[Я осматриваюсь. Шлюпка у бизань-мачты -- самая маленькая. Если у меня и есть шанс спустить хоть какую-нибудь шлюпку на воду, то
                    это именно она.]]
  ,WalkOn       = [[Я прошелся по палубе, решая, как мне поступить.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

maindeck2_parus = item {
   nam          = _"парус"
  ,dsc          = [[Парус на центральной мачте отяжелел от воды и грузно свисает вниз -- его уже не раздувает ветер, как раньше, когда
                    казалось, что потерпевший крушение корабль продолжает гордо плыть по волнам.]]
  ,Exam         = [[Когда смотришь на этот безвольно повисший парус, начинаешь понимать, что корабль действительно мертв. "Майский цветок"
                    никогда больше не отправится в плавание. И, наверное, я уже никогда не увижу Лондон, Лизу... Но нет, не нужно сдаваться.
                    Ведь всего в нескольких тысячах ярдах от меня могут быть поселения. Просто шторм прибил нас не к тому острову.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Ascend       = [[Лезть на парус сейчас не имеет смысла.]]
  ,Climb        = redirect_("Ascend", "maindeck2_parus")
  ,Jump         = [[Не думаю, что смогу прыгнуть так высоко.]]
  ,KnifeCut     = [[До паруса мне все равно не дотянуться, к тому же ума не приложу, зачем бы мне потребовалось делать это.]]
}

maindeck2_mast = item {
   nam          = _"мачта|~грот-мачта"
  ,Exam         = [[Я вспоминаю, как поднимался на грот-мачту несколько дней назад. Сейчас, со своей больной ногой, я бы уже не решился это 
                    сделать.]]
  ,Ascend       = [[Нет, делать это бессмысленно. К тому же я даже не уверен, что смогу подняться.]]
  ,Jump         = [[Вряд ли это в человеческих силах.]]
  ,Climb        = redirect_("Ascend", "maindeck2_mast")
  ,Move         = [[Сама мысль эта кажется мне безумной.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

maindeck2_mast2 = item {
   nam          = _"~бизань-мачта"
  ,Exam         = [[Кормовая мачта корабля, парус на которой тоже не опущен.]]
  ,Move         = redirect_("Move", "maindeck2_mast")
  ,Jump         = redirect_("Jump", "maindeck2_mast")
  ,Ascend       = [[Нет никакого смысла подниматься на бизань-мачту.]]
  ,Climb        = redirect_("Ascend", "maindeck2_mast2")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

maindeck2_boat = item {
   _untie       = false --Boat is untied
  ,_unload      = false --Boat is unloaded
  ,_cover       = false --Cover is off
  ,nam          = name_ {
                     ["default"] = _"шлюпка|~лодка"
                    ,["разрубить"] = _"веревки на шлюпке"
                    ,["рубить"] = _"веревки на шлюпке"
                    ,["перерубить"] = _"веревки на шлюпке"
                    ,["перерезать"] = _"веревки на шлюпке"
                    ,["разрезать"] = _"веревки на шлюпке"
                    ,["резать"] = _"веревки на шлюпке"
                    ,["отвязать"] = _"веревки на шлюпке"
                    ,["развязать"] = _"веревки на шлюпке"
                  }
  ,dsc          = choose_ {
                     ["default"] = [[Небольшая шлюпка, которую я приметил еще несколько дней назад, привязана к деревянным шпалам у бизань-мачты.]]
                    ,["maindeck2_boat._untie and not maindeck2_boat._cover"] = 
                        [[У бизань-мачты стоит небольшая шлюпка. Выглядит она так, как если бы ее вполне мог сдвинуть один человек.]]
                    ,["maindeck2_boat._cover"] = [[У бизань-мачты стоит небольшая шлюпка.]]
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Шлюпка стоит на шпалах у самого фальшборта, достаточно будет отвязать ее и немного сдвинуть к грот-мачте, и тогда я могу
                          попытаться столкнуть ее на воду. Не уверен, что у меня получится. Шлюпка хоть и невелика, но явно очень тяжелая. Обычно
                          такие шлюпки спускают несколько человек. К тому же вода с этой стороны борта неглубокая и много камней, а с другой стороны
                          корабля -- скалы.]]
                    ,["maindeck2_boat._untie and not maindeck2_boat._unload and not maindeck2_boat._cover"] = 
                        [[Шлюпка стоит на шпалах у самого фальшборта, достаточно лишь немного сдвинуть ее к грот-мачте, и тогда я могу
                          попытаться столкнуть шлюпку на воду. Не уверен, что у меня получится. Шлюпка хоть и не велика, но явно очень тяжелая. Обычно
                          такие шлюпки опускают несколько человек. К тому же вода с этой стороны борта неглубокая и много камней, а с другой стороны
                          корабля -- скалы.]]
                    ,["maindeck2_boat._untie and maindeck2_boat._unload"] = 
                        [[Мне нужно просто столкнуть эту шлюпку на воду. Но я не уверен, что у меня получится. К тому же вода с этой стороны борта 
                          неглубокая и в ней много камней, а с другой стороны корабля -- скалы.]]
                    ,["maindeck2_boat._cover and not maindeck2_boat._unload"] = 
                        [[У фальшборта, рядом с бизань-мачтой, стоит небольшая шлюпка, доверху загруженная тяжелыми ящиками с галетами. Вряд ли у меня
                          получится сдвинуть шлюпку хоть на дюйм, пока она загружена всеми этими припасами.]]
                  }
  ,Untie        = choose_ {
                     ["default"] = 
                        [[Я пытаюсь развязать веревки, которыми шлюпка привязана к деревянным шпалам, однако у меня ничего не получается. Все веревки
                          точно связаны мертвым узлом, и чем больше я пытаюсь ослабить этот узел, тем сильнее он затягивается. Вряд ли у меня получится
                          развязать эти веревки. Надо что-нибудь придумать.]]
                    ,["maindeck2_boat._untie"] = [[Я уже и так разрубил все веревки топором, отвязывать больше ничего не нужно.]]
                  }
  ,Cut          = use_ {
                    ["axe"] = 
                      choose_ {
                         ["default"] = 
                            chain_ { 
                              set_("maindeck2_boat._untie"), 
                              [[Разрубить веревки топориком оказалось совсем несложно. Шлюпка теперь освобождена от деревянных шпал.]] 
                            }
                        ,["maindeck2_boat._untie"] = [[Я уже разрубил все веревки топором.]]
                      }
                  }
  ,KnifeCut     = use_ {
                    ["knife2"] = 
                      choose_ {
                         ["default"] = [[Я пытаюсь перерезать веревки ножом для бумаг, но у меня ничего не получается. Вряд ли этот нож подходит для чего-то, кроме разрезания страниц.]]
                        ,["maindeck2_boat._untie"] = [[Я уже разрубил все веревки топором.]]
                      }
                  }
  ,Move         = choose_ {
                     ["default"] = [[Я наваливаюсь на лодку всем весом, однако у меня не получается сдвинуть ее ни на дюйм. Лодка слишком тяжелая, что можно
                                     подумать, будто бы она нагружена доверху ящиками со свинцом.]]
                    ,["not maindeck2_boat._untie"] = [[Шлюпка привязана к деревянным пазам, так ее сдвинуть точно не получится.]]
                    ,["maindeck2_boat._untie and maindeck2_boat._cover and not maindeck2_boat._unload"] = [[У меня не получается сдвинуть лодку даже на дюйм. Нужно сначала достать из лодки все эти ящики.]]
                    ,["maindeck2_boat._untie and maindeck2_boat._unload"] = 
                      choose_ {
                         ["default"] = walk_("maindeck2_fin")
                        ,["not shoes._off"] = [[Я пытаюсь сдвинуть шлюпку с места, однако у меня ничего не получается. Мои ноги в ботинках лишь скользят по гладкой, омытой многодневными дождями палубе.]]
                      }
                  }
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Climb        = redirect_("ClimbIn", "maindeck2_boat")
  ,Ascend       = redirect_("ClimbIn", "maindeck2_boat")
  ,ClimbIn      = [[Надо бы сначала спустить лодку на воду.]]
  ,withGet      = true
}

maindeck2_cover = item {
   nam          = name_ {
                     ["default"] = _"парусина"
                    ,["отвязать"] = _"веревки на парусине"
                    ,["развязать"] = _"веревки на парусине"
                    ,["перерезать"] = _"веревки на парусине"
                    ,["разрезать"] = _"веревки на парусине"
                    ,["резать"] = _"веревки на парусине"
                    ,["разрубить"] = _"веревки на парусине"
                    ,["перерубить"] = _"веревки на парусине"
                    ,["рубить"] = _"веревки на парусине"
                  }
  ,dsc          = [[Шлюпка затянута плотной парусиной, которая когда-то была светлой, но теперь вся почернела от грязи и непрекращающихся дождей.]]
  ,Exam         = [[Толстая и плотная парусина, которая привязана веревкой к кольцам по бортам шлюпки.]]
  ,TakeOff      = [[Парусина привязана к металлическим кольцам по бортам шлюпки. Надо бы сначала развязать веревки.]]
  ,Untie        = chain_ {
                    set_("maindeck2_boat._cover"),
                    [[Я развязал веревки по бортам лодки и стянул парусиновое покрывало. Внутри шлюпки оказалось множество ящиков с припасами, как 
                      если бы кто-то устроил здесь тайник или попросту перенес все эти ящики сюда из других шлюпок.^
                      Я несколько минут стою, рассматривая ящики. Прежде чем пытаться передвигать шлюпку, нужно будет ее разгрузить. На лицо мне падают 
                      первые капли дождя.]]
                  }
  ,KnifeCut     = use_ {
                    ["knife2"] = [[Перерезать веревки ножом для бумаг у меня никак не получается.]]
                  }
  ,Cut          = use_ {
                    ["axe"] = 
                      chain_ {
                        set_("maindeck2_boat._cover"),
                        [[Я аккуратно разрубил веревки, которыми парусина была привязана к кольцам на бортах лодки, и заглянул внутрь. В шлюпке оказалось
                          множество ящиков с галетами, как если бы кто-то устроил здесь тайник или попросту перенес все эти ящики сюда из других шлюпок.^
                          Я несколько минут стою, рассматривая ящики. Прежде чем пытаться передвигать шлюпку, нужно будет достать из нее все эти ящики.
                          На лицо мне падают первые капли дождя.]]
                      } 
                  }
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,cnd          = not_("maindeck2_boat._cover")
}

maindeck2_hold = item {
   nam          = _"трюм"
  ,dsc          = [[^С палубы я могу спуститься в трюм или]]
  ,WalkIn       = walk_("hold2coridor")
  ,DescendTo    = walk_("hold2coridor")
  ,ClimbIn      = walk_("hold2coridor")
}

maindeck2_cabin = item {
   nam          = _"каюта капитана"
  ,dsc          = [[подняться в каюту капитана.]]
  ,WalkIn       = walk_("captaincabin")
  ,GetIn        = redirect_("WalkIn", "maindeck2_cabin")
  ,ClimbIn      = redirect_("WalkIn", "maindeck2_cabin")
}

maindeck2_boxes = item {
   nam          = _"ящики с галетами"
  ,dsc          = choose_ {
                    ["maindeck2_boat._unload"] = [[Рядом с бизань-мачтой свалены деревянные ящики с галетами.]]
                  }
  ,Exam         = [[Массивные деревянные ящики с галетами, единственной положительной стороной которых является то, что храниться они могут практически вечно.
                    Правда, по вкусу эти галеты похожи на куски жженой древесины и есть их можно, пожалуй, только под страхом голодной смерти.]]
  ,Take         = [[Нет смысла таскать с собой эти ящики, к тому же они довольно тяжелые. Лучше просто выгрузить их прямо здесь, на палубу.]]
  ,Pick         = redirect_("Take", "maindeck2_boxes")
  ,Get          = use_ {
                    ["maindeck2_boat"] =
                      choose_ {
                         ["default"] = 
                            chain_ {
                              set_("maindeck2_boat._unload"),
                              [[Один за другим я достаю все ящики из шлюпки. Проходит немало времени, прежде чем весь этот груз оказывается на палубе.
                                Начинает крапать дождь.]]
                            }
                        ,["maindeck2_boat._unload"] = [[Я уже и так достал все ящики из лодки.]]
                      }
                  }
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("maindeck2_boat._unload"),
                          [[Один за другим я достаю все ящики из шлюпки. Проходит немало времени, прежде чем весь этот груз оказывается на палубе.
                            Начинает крапать дождь.]]
                        }
                    ,["maindeck2_boat._unload"] = [[Не вижу смысла двигать ящики по палубе.]]
                  }
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
  ,cnd          = if_("maindeck2_boat._cover")
}

maindeck2_ship = item {
   nam          = _"корабль"
  ,Descend      = [[Достаточно прогулок по острову, надо, наконец, попробовать спустить эту шлюпку на воду.]]
  ,Fire         = [[Я еще не сошел с ума, чтобы поджигать корабль.]]
  ,FireOff      = nilfn
  ,Move         = redirect_("Move", "maindeck2_mast")
  ,Clean        = nilfn
  ,Cut          = [[Мой рассудок и правда помутился, как такое вообще могло прийти мне в голову?]]
  ,KnifeCut     = redirect_("Cut", "maindeck2_ship")
}

maindeck2_shore = item {
   nam          = _"берег"
  ,Walk         = redirect_("Descend", "maindeck2_ship")
  ,DescendOn    = redirect_("Descend", "maindeck2_ship")
}

hold2coridor = scene {
   nam          = _"В трюме"
  ,obj          = { 
                     "hold2coridor_itself"
                    ,"hold2coridor_godeck"
                    ,"hold2coridor_windows"
                    ,"hold2coridor_gocubric"
                    ,"hold2coridor_dust"
                    ,"hold2coridor_gocambus"
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("maindeck2")
}

hold2coridor_itself = item {
   nam          = _"трюм"
  ,Exam         = [[Я немного боюсь заходить сюда, как если бы верил в то, что призраки скончавшихся матросов обитают где-то здесь, в
                    темном трюме корабля и, стоит мне сойти сюда с палубы, как я оказываюсь в их безраздельной власти.]]
  ,dsc          = [[Я стою в трюме,]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

hold2coridor_godeck = item {
   nam          = _"палуба"
  ,dsc          = [[рядом с выходом на палубу.]]
  ,Walk         = walk_("maindeck2")
  ,Climb        = walk_("maindeck2")
  ,Ascend       = walk_("maindeck2")
}

hold2coridor_windows = item {
   nam          = _"иллюминаторы|~окна"
  ,dsc          = [[Я поднял заслонки на всех иллюминаторах в трюме и теперь здесь уже не так сумеречно как раньше, однако
                    у меня все равно возникает такое чувство, словно я оказался в склепе.]]
  ,Exam         = [[Небольшие прямоугольные окна едва пропускают свет, впрочем, сегодня солнечного света совсем немного.]]
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

hold2coridor_gocubric = item {
   nam          = _"кубрик"
  ,dsc          = [[Передо мной длинный коридор, который ведет в кубрик.]]
  ,WalkIn       = [[Идти в кубрик мне сейчас совершенно не хочется. Там по-прежнему лежат тела капитана и двух матросов, с которыми мы оказались 
                    на этом острове. Я так и не похоронил их.]]
  ,ClimbIn      = redirect_("WalkIn", "hold2coridor_gocubric")
  ,DescendTo    = redirect_("WalkIn", "hold2coridor_gocubric")
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

hold2coridor_dust = item {
   nam          = _"пыль"
  ,dsc          = [[В трюме душно и дышать довольно тяжело, при каждом вздохе легкие точно пропитываются висящей в воздухе пылью.]]
  ,Exam         = [[Мелкие пылинки поблескивают на свету.]]
}

hold2coridor_gocambus = item {
   nam          = _"камбуз"
  ,dsc          = [[Справа от меня виднеется массивная дверь в камбуз.]]
  ,WalkIn       = walk_("hold2cambus")
  ,ClimbIn      = walk_("hold2cambus")
  ,GetIn        = walk_("hold2cambus")
}

hold2cambus = scene {
   nam          = "Камбуз"
  ,obj          = { 
                     "hold2cambus_itself"
                    ,"hold2cambus_tables"
                    ,"hold2cambus_dishes"
                    ,"hold2cambus_dust"
                    ,"axe"
                    ,"hold2cambus_gocoridor"
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("hold2coridor")
}

hold2cambus_itself = item {
   nam          = _"камбуз"
  ,dsc          = [[В камбузе практически невозможно дышать, весь воздух вокруг точно раскален и пропитан странным тяжелым запахом.]]
  ,Exam         = [[Я хорошо помню те дни, когда здесь кипела жизнь, стоял гул от голосов, звенела небьющаяся посуда. Обычно я трапезничал вместе
                    с капитаном, но несколько раз заходил на камбуз в обед, искал кого-то, я уже не помню, зато помню, как моряки смотрели на меня
                    с недоверием, точно я явился лишь для того, чтобы следить за ними и подслушивать их пересуды. Сейчас, глядя на этот запыленный
                    камбуз, кажется, что все это было много лет назад, в другой жизни, на другом краю этой необъятной Земли, но ведь прошло в действительности
                    совсем немного времени. Как будто я постарел на десятилетия за несколько недель.]]
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

hold2cambus_tables = item {
   nam          = _"столы"
  ,dsc          = [[На длинных деревянных столах]]
  ,Exam         = [[Когда-то за этими столами сидели матросы. А теперь здесь только пыль.]]
  ,Clean        = redirect_("Clean", "hold2cambus_dust")
  ,Move         = [[Не вижу смысла передвигать столы.]]
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

hold2cambus_dishes = item {
   nam          = _"посуда|~кастрюли|~мятые кастрюли"
  ,dsc          = [[свалены горой мятые кастрюли и аллюминиевая посуда.]]
  ,Exam         = [[Я боюсь даже прикасаться ко всему, что здесь лежит -- сам не знаю почему.]]
  ,Take         = [[Вряд ли кастрюли и тарелки мне сейчас пригодятся.]]
  ,Clean        = redirect_("Clean", "hold2cambus_dust")
  ,Move         = [[Я не хочу даже притрагиваться к этой посуде.]]
  ,Clean        = nilfn
  ,Cut          = nilfn
  ,KnifeCut     = nilfn
}

hold2cambus_dust = item {
   nam          = _"пыль"
  ,dsc          = [[Можно подумать, что совсем недавно судовой кок готовил здесь на весь экипаж едва съедобный обед, однако, приглядевшись, замечаешь, 
                    что все вокруг покрыто толстым слоем пыли.^]]
  ,Exam         = [[Видимо, это из-за пыли так тяжело дышать.]]
  ,Clean        = [[У меня сейчас нет времени убираться здесь, к тому же на этой уйдет несколько часов.]]
}

axe = item {
   nam          = _"топор"
  ,dsc          = [[На стене, у входа, висит небольшой топорик.]]
  ,Exam         = [[Небольшой и крепкий топорик, к тому же хорошо заточенный. Таким несложно разрубить веревку.]]
  ,Take         = chain_ { take_("axe"), "Я снял со стены топор." }
  ,Throw        = [[Не для того я брал этот топорик, чтобы бросать его здесь.]]
  ,withCut      = true
}

hold2cambus_gocoridor = item {
   nam          = _"коридор"
  ,dsc          = [[Здесь есть выход в основной коридор трюма.]]
  ,WalkIn       = walk_("hold2coridor")
  ,ClimbIn      = walk_("hold2coridor")
}

maindeck2_fin = scene {
   nam          = nilfun
  ,enter        = music_("rain")
  ,dsc          = [[Лодка по-прежнему слишком тяжелая, и у меня с огромным трудом получается двигать ее по палубе. Я наваливаюсь на лодку всем весом,
                    босые ноги мои упираются в палубу, а лодка лишь едва заметно сдвигается, точно ее держит невидимая сила, в десятки раз превышающая мою.
                    Однако я не сдаюсь. Медленно, небольшими рывками я подталкиваю лодку к самому краю. Пусть даже это займет у меня несколько часов!^
                    Я вдруг чувствую себя так, словно меня ничто не сможет остановить, и я обязательно спущу сегодня эту лодку на воду.^
                    Однако, когда лодка уже совсем недалеко от края, в небе вдруг раздается громовой раскат. Я поднимаю голову, и в ту же секунду
                    на меня изливаются потоки воды -- начинается ливень такой силы, какой я еще ни разу не видел на этом острове. Мне не остается ничего 
                    другого как <i>вернуться в каюту капитана</i>.]]
  ,verbs        = {
                    { "Return", "~идти|~вернуться|~подняться", "в", "каюту" } 
                  }
  ,Return       = chain_ { drop_("axe"), drop_("knife2"), drop_("matches2"), drop_("spyglass2"), drop_("jacket"), drop_("shoes"), drop_("pants"), walk_("entry7") }
}
