--Entry 7. Gameplay rooms: 1

entry7 = diary {
   nam          = "September 18th, 1846"--"18 сентября 1846 года"
  ,enter        = music_("paper")
  ,dsc          = [[Overnight I must have had a chill, for I awoke with a fever and my head feels as though it will split into a thousand throbbing pieces. I am forcing myself to write in spite of the anguished state I am in, and at the same time forcing myself to believe the end of this document will prove my return home.
  ^^My imagination humours me, conjuring up visions that I am captain, proudly standing at the stern with sails set, atop the reef...
  ^^Lisa, where do I find myself? My mind was elsewhere all along. Father's death was a heavy burden to bear yet never would I have imagined to be here, to risk the lives of so many who died at the edge of the world. His decision to make this journey must have been a sign of insanity, perhaps my inheritance along with the Mayflower and so many unpaid debts.
  ^^You were the voice of reason who for so long advised me not to bother with my father's business deals, but after his death your perception changed. All at once you claimed to see discontent growing in my heart.
  ^^When you came to say goodbye I was filled with emptiness at the idea you were to be missing from my days. In dreams I visit you, dearest Lisa, your face so long hidden I must grasp at its memory...]]--[[У меня сильный жар, голова раскалывается от боли, и сил уже совсем не осталось. Сегодня я с трудом заставил себя встать с постели и сесть за стол, как если бы верил в то, что ведение этого журнала как-то поможет мне излечиться. Я только сейчас подумал, что и правда стал капитаном этого корабля, получил этот титул после того, как умерли все, кто мог бы это делать лучше меня. Капитан мертвого корабля, который стоит с поднятым парусом на рифах.^^ Лиза, зачем я отправился сюда? Я тогда словно лишился рассудка! Смерть отца была для меня тяжелым ударом, но я никогда бы даже не подумал о том, чтобы продолжать его не начатые исследования, рисковать своей жизнью, отправляясь на край света через океан. Решиться на такое путешествие для меня было шагом не столько даже отчаянным, сколько безумным, как  если бы безумие могло передаваться по наследству -- вместе с имением, "Майским цветком" и незакрытыми долгами. Почему ты отпустила меня, Лиза? Почему?^^ Ты никогда не говорила мне, что я должен продолжить отцовское дело, но после смерти отца все как будто изменилось...  Эта пустота внутри меня... И ты изменилась тоже... А может, ты просто увидела меня таким, каким я и был на самом деле?^^ Теперь, вспоминая об этом, я лишь уверяюсь в том, что ты меня в действительности никогда не любила. И именно поэтому ты и осталась там, на другом берегу, не отправилась со мной, несмотря на свое показное восхищение моим поступком. Ты осталась там и пришла лишь для того, чтобы попрощаться. Ведь это так очевидно и явно -- как я мог не замечать, не понимать этого раньше. Но я все равно думаю о тебе, Лиза. Чувства мои остались прежними. Только почему-то последние дни мне становится все сложнее вспомнить твое лицо.]]
  ,next         = walk_("dream")
}

dream = scene {
   nam          = "The Ship's Deck"--"На палубе"
  ,enter        = music_("clearwaters", 0)
  ,obj          = { 
                     "dream_hold"
                    ,"dream_ship"
                    ,"dream_dock"
                    ,"dream_lisa"
                    ,"dream_lisasee"
                    ,"dream_sky"
                  }
  ,TurnAround   = choose_ {
                     ["default"] = [[I must draw the attention of my beloved.]]--[[Лучше сначала привлечь внимание Лизы, я еще успею налюбоваться матросами.]]
                    ,["dream_lisa._see and not dream_lisa._turn"] = [[I cannot take my eyes off her, for it has been so long.]]--[[Я не могу оторвать глаз от Лизы. Ведь я не увижу ее несколько месяцев.]]
                    ,["dream_lisa._see and dream_lisa._turn"] = chain_ { mute_(3000,3000), walk_("dreamend") }
                  }
}

dream_sky = item {
   nam          = _"sky"--_"небо"
  ,Exam         = [[The sky is clear and bright.]]--[[Небо совсем чистое, сегодня не должно быть дождя.]]
  ,imy          = {
                     ["default"] = "the sky"
                  }
}

dream_hold = item {
   nam          = _"deck"
  ,dsc          = [[I stand on the main deck of the ship flooded with sunlight.]]--[[Я стою на палубе "Майского цветка". Все вокруг заливает солнечным светом.]]
  ,Exam         = [[Before me are so many well-wishers shouting and waving, come to see the Mayflower off. It could be a parade more than the seeing off of a humble expedition.]]--[[Я осматриваю палубу вокруг себя. Рядом со мной стоят матросы. Многих тоже пришли провожать, и они кричат что-то, энергично размахивая руками. Кажется, словно мы отправляемся не в плавание через Тихий Океан, а на какой-нибудь праздничный парад.]]
  ,Sit          = [[I would spend every second standing on my toes to see dear Lisa.]]--[[Я не хочу сидеть на палубе, лучше последний раз попрощаться с Лизой.]]
  ,Lie          = [[The throng would trample me were I to lie down here.]]--[[С какой стати я буду сейчас ложиться на палубу?]]
  ,imy          = {
                     ["default"] = "the deck"
                    ,["Sit"] = "down on the deck"
                    ,["Lie"] = "down on the deck"
                  }
}

dream_ship = item {
   nam          = _"ship"--_"корабль"
  ,dsc          = [[The Mayflower sits in port being prepared for her maiden voyage.
^Anticipation gnaws at me, the fantastic and altogether unreal prospect of two months at sea and the Pacific on the horizon.]]--[[Корабль еще в порту, но уже готовится к отплытию. Мне все еще не верится в то, что я действительно решился на это -- отправиться в  двухмесячное плавание через Тихий Океан.^]]
  ,Exam         = [[The Mayflower shines in the sunlight. A month ago she sat in the shipyard where father and I appraised her fitness.]]--[["Майский цветок" сегодня весь сверкает. Всего лишь месяц назад корабль был еще в верфи, и мы осматривали его вместе с отцом. Это будет первое плавание "Майского цветка" через Тихий Океан.]]
  ,Move         =[[She will not move until the moorings are undone]]-- [[Какие странные мысли лезут мне в голову из-за волнения.]]
  ,Ascend       =[[I am already standing on the ship's deck.]]-- [[Я и так на корабле.]]
  ,Climb        = redirect_("Ascend", "dream_ship")
  ,Descend      =[[There is no time to disembark. The journey will soon commence.]]-- [[Нет, на это уже нет времени. Мы скоро отплываем.]]
  ,imy          = {
                     ["default"] = "the ship"
                    ,["Descend"] = "from the ship"
                  }
}

dream_dock = item {
   nam          = _"dock"--_"пристань"
  ,dsc          = [[I look out at the pier where the well-wishers have assembled.]]-- [[Я смотрю на пристань, где собрались провожающие.]]
  ,Exam         = [[There are so many people, commoners and wealthy alike. The families of the sailors come to grace us with earnest farewells and wave until the Mayflower has disappeared. 
  ^My dear Lisa dislikes crowds and when I see her face emerge I am honored far more than at any other moment in my brief history.]]--[[Людей на пристани довольно много -- в основном, это простолюдины, семьи матросов, которым показалось мало прощаний на берегу, и они, верно, будут стоять здесь, пока "Майский цветок" не исчезнет из вида. Лиза никогда не любила толпы людей, удивительно, что она все-таки пришла сюда.]]
  ,Walk         = redirect_("Descend", "dream_ship")
  ,Descend      = redirect_("Descend", "dream_ship")
  ,imy          = {
                     ["default"] = "the dock"
                    ,["Walk"] = "to the dock"
                    ,["Descend"] = "to the dock"
                  }
}

dream_lisa = item {
   _see         = false --Lisa see me
  ,turn         = false --I need to turn around
  ,nam          = _"Lisa"--_"Лиза"
  ,live         = true
  ,dsc          = [[A woman stands off to the side as if unsure of her place in a crowd of commoners.]]--[[Лиза тоже там -- она стоит чуть в сторонке, как будто немного смущается того, что пришла.]]
  ,Exam         = choose_ {
                     ["default"] = 
                       [[My beloved wears a light green muslin dress usually reserved for going on holiday, along with a kashmir shawl that hangs from her shoulders. She nervously moves her hand about her waist and with her other steadies a parasol over her head. 
                  ^^No, that is an umbrella. Yet the sky is perfectly clear...]]--[[На Лизе светло-зеленое кисейное платье, которое она надевает только по праздникам. Красивая кашмирская шаль постоянно соскальзывает с ее плеч, и она время от времени поправляет ее рукой. Видно, что она волнуется и как-то нервно покачивает маленьким зонтиком. Зачем она взяла с собой зонт? Ведь небо совсем чистое, сегодня не должно быть дождя.]]
                    ,["dream_lisa._see"] =
                        chain_ {
                          set_("dream_lisa._turn"),
                          [[With her gentle brow furrowed she worriedly signals me to turn around.]]--[[Кажется, Лиза хочет что-то мне сказать. Она показывает куда-то рукой, как если бы хотела, чтобы я обернулся.]]
                        }
                  }
  ,Swing        = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("dream_lisa._see"),
                          [[I wave and she replies with an extraordinary smile. The breeze tussles her hair and my eyes stay fixed, unflinching. They would forever.]]--[[Я махаю Лизе рукой, она, наконец, замечает меня и тоже машет мне в ответ. Я вижу, что она улыбается. Почему-то именно сейчас, на пристани, в этой своей индийской шали она кажется мне необыкновенно красивой. Легкий порыв ветра развевает ее оборчатое платье. Я не могу ей налюбоваться. Мне хочется <i>смотреть</i> на нее, не отрываясь.]]
                        }
                    ,["dream_lisa._see"] = [[I wave once more.]]--[[Я еще раз помахал Лизе рукой.]]
                  }
  ,Flail        = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("dream_lisa._see"),
                          [[I wave and she replies with an extraordinary smile. The breeze tussles her hair and my eyes stay fixed, unflinching. They would forever.]]--[[Я махаю Лизе рукой, она, наконец, замечает меня и тоже машет мне в ответ. Я вижу, что она улыбается. Почему-то именно сейчас, на пристани, в этой своей индийской шали она кажется мне необыкновенно красивой. Легкий порыв ветра развевает ее оборчатое платье. Я не могу ей налюбоваться. Мне хочется <i>смотреть</i> на нее, не отрываясь.]]
                        }
                    ,["dream_lisa._see"] = [[I wave once more.]]--[[Я еще раз помахал Лизе рукой.]]
                  }
  ,imy          = {
                     ["default"] = "Lisa"
                  }
}

dream_lisasee = item {
   nam          = ""
  ,dsc          = [[She looks about and seems not to recognize me.
  ^I must draw her attention.]]-- [[Она как-то взволнованно оглядывается по сторонам -- кажется, она не замечает меня. Надо как-то привлечь ее внимание.]]
  ,cnd          = not_("dream_lisa._see")
}

dreamend = scene {
   nam          = nilfun
  ,enter        = music_("violin")
  ,dsc          = [[I turn to face a bank of clouds black as coal moving rapidly toward the ship. They are carried on a fierce wind ahead of the setting sun, violent flashes of lightning breaking loose from within.]]--[[Я оборачиваюсь и вдруг замечаю огромные грозовые облака, которые поднявшийся ветер приносит со стороны заката. Черные тучи быстро затягивают  небо, солнечный свет меркнет, я вижу первую вспышку грозы...]]
  ,verbs        = {
                    { "Next", "next", "{}" } 
                  }
  ,Next         = chain_ { drop_("jacket"), drop_("shoes"), drop_("pants"), walk_("entry8") }
}
